Determine if request is POST request

- « Yaf_Request_Abstract::isOptions

- Yaf_Request_Abstract::isPut »

- PHP Manual
- Yaf_Request_Abstract
- Determine if request is POST request

# Yaf_Request_Abstract::isPost

(Yaf >=1.0.0)

Yaf_Request_Abstract::isPost — Determine if request is POST request

### Description

public Yaf_Request_Abstract::isPost(): bool

### Parameters

This function has no parameters.

### Return Values

boolean

### See Also

- Yaf_Request_Abstract::isGet() - Determine if request is GET request
- Yaf_Request_Abstract::isCli() - Determine if request is CLI request
- Yaf_Request_Abstract::isHead() - Determine if request is HEAD request
- Yaf_Request_Abstract::isPut() - Determine if request is PUT request
- Yaf_Request_Abstract::isOptions() - Determine if request is OPTIONS request
- Yaf_Request_Abstract::isXmlHTTPRequest() - Determine if request is AJAX request